%{
#include "expr-prio.tab.h"
%}
%option noyywrap
%option nodefault
%%
"+"                     |
"-"                     |
"*"                     |
"/"                     |
"<"                     |
">"                     |
"("                     |
")"                     { return *yytext; }
"=="                    { return EQ; }
"<="                    { return LE; }
">="                    { return GE; }
"!="                    { return NE; }
[[:alpha:]][[:alnum:]]* { return ID; }
[ \t]+                  /* ueberspringe White-Space */
\n                      { return 0; /* Nur eine Zeile lesen. */ }
.                       { return ILLEGAL_CHAR; }
