%{
/* In der Vorlesung am 7.1.2008 gemeinsam erstellte Loesung fuer die
 * konfliktfreie Erkennung von if-then-else via Prioritäten
 * mit lex und yacc.
 */
#include "if-then-else-prec4.tab.h"
%}
%option noyywrap
%option nodefault
%%
"if"                    { return IF; }
"then"                  { return THEN; }
"else"                  { return ELSE; }
[[:alpha:]][[:alnum:]]* { return EXPR; }
[ \t]+                  /* ueberspringe White-Space */
\n                      { return 0; /* Nur eine Zeile lesen. */ }
.                       { return ILLEGAL_CHAR; }
