%{
#include <stdio.h>
#define YYERROR_VERBOSE
void yyerror(char *);
%}
%verbose
%token IF EXPR ILLEGAL_CHAR
%nonassoc THEN
%nonassoc ELSE
%%
statement:        IF EXPR THEN statement
                | IF EXPR THEN statement ELSE statement
                | other
                ;
other:            EXPR
                ;
%%
void yyerror(char *msg) {
    printf("\n%s\n", msg);
}
int main() {
    return yyparse();
}
